Page MenuHomePhabricator

Cannot click links or submit forms on special pages with an input box
Closed, ResolvedPublic

Description

With master of ULS (specifically with https://gerrit.wikimedia.org/r/#/c/79755/), on special pages with an input box, I cannot click on any links or submit forms after clicking inside the input box.

(for example, Special:Allpages)


Version: master
Severity: normal

Details

Reference
bz53041

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:58 AM
bzimport set Reference to bz53041.
bzimport added a subscriber: Unknown Object (MLST).
aude created this task.Aug 19 2013, 2:50 PM

Hmm. Special:AllPages works for me on my wiki.

aude if it matters at all, i'm in chrome now
aharoni aude, Nikerabbit - true - it breaks in chrome
aude ok, browser specific
aude think i found the line of code that might be a problem
aude if i comment out $( 'html' ).click( $.proxy( this.hide, this ) ); in jquery.ime.js
aude then it seems to work
aude don't know what that is supposed to do
aude well, other than what the code comment says

aude added a comment.Aug 19 2013, 3:23 PM

issue also applies to the search box, so can occur on any page

That's because #hide returns false, preventing all other click handlers, including browser's native ones, from running…

I'd submit a patch, but it's a really annoying process for ULS.

Someone should probably just remove that "return false;", in this function and maybe a bunch of others, since they don't seem to need it either.

Or alternatively, replace that line with $( 'html' ).click( function () { imeselector.hide() } ); to gobble up the return value and be more careful in the future.

Change 79810 had a related patch set uploaded by Amire80:
Update jquery.ime from upstream

https://gerrit.wikimedia.org/r/79810

Change 79810 merged by jenkins-bot:
Update jquery.ime from upstream

https://gerrit.wikimedia.org/r/79810

aude added a comment.Aug 20 2013, 9:27 AM

Thanks Bartosz and Amir! the issue is fixed now.